// ************** GENERAL **************

* {
    box-sizing: border-box;
    font-family: $texte;
}
h1, h2, h3, h4{
    font-family: $titre; 
}
h2{
    color: $blanc;
    font-size: 1.5rem;
    padding: 1.5rem 0;
}
a{
    &:hover{
        text-decoration: none;
    }
}
ul{
    margin: 0;
    padding: 0;
}

body {
    background-color: $fond;
}
.jaune{
    background-color: $jaune!important;
}
.vert{
    background-color: $vert!important;
}
.rose{
    background-color: $rose!important;
}
.bleu{
    background-color: $bleu!important;
}
.bleuc{
    background-color: $bleuc!important;
}
// ************** Menu **************
.menu{
    background-color: $bleu;
    position: fixed;
    z-index: 99999999999999999;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    ul{
        border-top: 1px solid $blanc;
        list-style: none;
        display: flex;
        width: 100%;
        justify-content: space-between;
        align-items: center;
        padding: 0.5rem 0;
        .border-menu{
            border-right: 1px solid $blanc;
            border-left: 1px solid $blanc;
        }
        li{
            width: 33%;
            display: flex;
            justify-content: center;
            align-items: center;
            span{
                font-size: 2rem;
                color: $blanc;
            }
            a{
                color: $blanc;
                &:hover{
                    text-decoration: none;
                }
                span{
                    font-size: 2rem;
                    padding: 1rem;
                }
            }
        }
    }
}
// ***** Options du menu ******
#mySidenav{
    height: 100vh;
    position: fixed;
    z-index: 2;
    top: 0;
    left: 0;
    display: flex;
    width: 0;
    border-radius:0 8px 8px 0;
}
.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: $fond;
    overflow-x: hidden;
    transition: 0.5s;
  }
  .content-menu{
        width: 100%;
        background-color: $fond;
        display: flex;
        flex-direction: column;
        border-radius:0 8px 8px 0;
        .fond-menu-option{
          padding: 0.5rem;
          width: 100%;
          background-image: url('../img/fond-menu-option.jpg');
          background-size: cover;
          background-repeat: no-repeat;
          height: 30vh;
          border-radius:0 8px 0 0;
        .croix{
            display: flex;
            justify-content: space-between;
            width: 100%;
            .icon-croix{
                color: $blanc;
                font-size: 2rem;
            }
            .icon-settings{
                color: $blanc;
                font-size: 2rem;
            }
        }
        .profil{
            display: flex;
            justify-content: center;
            flex-direction: column;
            align-items: center;
            img{
                width: 75px;
                border-radius: 8px;
            }
            .icon-settings{
                color: $blanc;
            }
            h1{
                color: $blanc;
                font-size: 1.4rem;
                padding: 0.5rem 0;
                margin: 0;
            }
            h2{
                color: $blanc;
                font-family: $texte;
                font-weight: lighter;;
                padding: 0 0 0.5rem 0;
                margin: 0;
                font-size: 1rem;
            }
        }
      }
      .menu-option{
        margin-bottom: 6rem;
          ul.menu-option-item{
              li{
                color: $blanc;
                padding: 1rem;
                font-size: 1.2rem;
                white-space:nowrap;
                a{
                    color: $blanc;
                    padding-left: 1rem;
                    white-space:nowrap
                }
              }
              .gris,.gris a{
                  color: grey;
              }
          }
      }
      ul.rgpd{
        li{
          color: grey;
          padding: 0.7rem 1rem 0 1rem;
          font-size: 1.1rem;
          white-space:nowrap;
          a{
              color: $blanc;
          }
        }
    }
}


// ************** Bouton **************
.bouton{
    text-transform: uppercase;
    color: $blanc;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: $titre; 
    padding: 1rem 3rem;
    border-radius: 8px;
    &.bleu{
        background-color: $bleu;
    }
    &.rose{
        background-color: $rose;
    }
    &.jaune{
        background-color: $jaune;
    }
    &.vert{
        background-color: $vert;
    }
    &.bleuc{
        background-color: $bleuc;
    }
    &:hover{
        text-decoration: none;
        color: $blanc;
        background-color: $rose;
    }
    
}


// ************** LOGIN **************

.div-logo-login {

    display: flex;
    justify-content: center;

    .logo-login {
        width: 40%;
        margin-top: 50px;
        margin-bottom: 10px;
    }
}

// Titre page : Qui est-ce ?
.titre-login {
    color: white;
    font-size: 2.3rem;
    text-align: center;
    font-family: $texte;
    font-weight: bold;
}

// Liste profils
.liste-profils {

    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    width: 80%;
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    
    // bloc profil 
    .profil-login {

        width: 40%;
        margin-top: 5px;
        margin-bottom: 5px;
        a{
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }
        .icon-plus{
            color: $blanc;
            font-size: 5rem;
        }

        // miniature 
        .miniature-profil-login {
            width: 100%;
            border-radius: 8px;
        }

        #ajouter-profil-login {
            padding: 10px;
        }

        .nom-profil-login {
            color: white;
            margin-top: 8px;
            font-size: 1.2rem;
            text-align: center;
            font-family: $texte;
            font-weight: bold;
        }
    }
}

// // Bouton gérer les profils
// .bloc-bouton-gestion-login {
    
//     display: flex;
//     justify-content: center;

//     .bouton-gestion-login {
//         font-size: 1.15rem;
//         font-family: 'Lubalin bold';
//         font-weight: bold;
//         padding: .6rem 3.5rem;
//         margin: auto;
//         background-color: $bleuc;
//         border: none;
//         border-radius: 8px;
//     }
// }







// ************** MES VIDEOS **************


// Style des sections vidéos

.titre-mes-videos{
    padding: 1rem;
    display: flex;
    justify-content: center;
    align-content: center;
    .icon-fleche{
        color: $blanc;
        font-size: 1.5rem;
        width: 15%;
        
        &::before{
            transform: rotate(-90deg);
        }
    }
    h1{
        color: $blanc;
        font-size: 1.5rem;
        padding: 0;
        margin: 0;
        line-height: inherit;
        width: 85%;
        text-align: center;
    }
}

#myTab {
    border-bottom: none;
    display: flex;
    justify-content: space-around;
    margin-top: 2rem;

    .nav-item {

        width: 40%;

        a.nav-link {
            color: white;
            background-color: unset;
            font-family: 'Lubalin bold';
            border: none;
            border-top: 0.25rem solid $fond;
            text-align: center;
        }
    
        a.nav-link.active {
            background-color: unset;
            border-top: 0.25rem solid $rose;
            margin-top: 0;
    
        }
    }   
}

#myTabContent {

    .item-like-mes-videos {

        display: flex;
        flex-wrap: wrap;

        .miniature-mes-videos {
            width: 40%;
        }
    
        .infos-textuelles-mes-videos {
    
            width: 60%;
            padding: 10px;
    
            .titre-mes-videos {
                font-size: 1rem;
            }
        
            .titre-episode-mes-videos {
                font-size: 1rem;
            }
        }
    }  
}

#home, #profile {

    .items {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        padding-top: 0.3rem;
    }

    .item {
        display: inline-block;
        margin: 0.5rem;
        border-radius: 8px;
        width: 44%;
        background-color: $blanc;
        img{
            border-radius: 8px 8px 0 0;
            width: 100%;
        }
        .details{
            padding: 0.5rem 0.8rem;
            h3{
                font-family: $texte;
                font-size: 0.8rem;
                margin: 0;
                display: flex;
                justify-content: space-between;
                .titre-episode{
                    font-weight: 500;
                }
                .episode{
                    font-weight:lighter;
                }
                
            }
        }
    }
}

.div-cta-plus-videos {

    display: flex;
    justify-content: center;
    margin-top: 1.5rem;
    .bouton {
        width: 60%;
        padding: 0.5rem 1.5rem;
    }
}




// ************** Recherche **************

// Contenu page 
.content-recherche{
    width: 100%;
    padding: 1rem;
    margin-bottom: 4rem;
    .details{
        background-color: $blanc;
        h3{
            font-family: $texte;
            font-size: 1.2rem;
            margin: 0;
            display: flex;
            justify-content: space-between;
            margin-bottom: 0.4rem;
            .titre-dessins-anime{
                font-weight: 500;
            }
            .ages{
                border-radius: 8px;
                padding: 0.1rem 0.3rem;
                font-size: 1rem;
                font-family: $texte;
                font-weight: bold;
            }
        }
    }
    .titre-recherche{
        padding: 1rem 0;
        display: flex;
        justify-content: center;
        align-content: center;
        .icon-fleche{
            color: $blanc;
            font-size: 1.5rem;
            width: 15%;
            
            &::before{
                transform: rotate(-90deg);
            }
        }
        h1{
            color: $blanc;
            font-size: 1.5rem;
            padding: 0;
            margin: 0;
            line-height: inherit;
            width: 85%;
            text-align: center;
        }
    }

    // Bloc barre de recherche 
    .groupe-recherche {

        // barre de recherche 
        .input-recherche {
            border-radius: 10px 0 0 10px;
            padding: 0.5rem 1rem;
        }
        
        .input-recherche::placeholder {
            font-weight: bold;
            font-size: 0.8rem;
        }

        // icone recherche 
        .groupe-icone-barre-recherche {


            .icone-barre-recherche {
                border-radius: 0 10px 10px 0;
            }
        }
    }

    // Tri par catégories
    .tag-recherche {
        .bouton{
            padding: 0.5rem 1rem;
            margin: 0.4rem 0.4rem;
            font-family: $texte;
            font-weight: bold;
        }

        // Thèmes
        .theme-categorie {
            display: flex;
            flex-wrap: wrap;

        }

        // Age 
        .age-categorie {
            display: flex;
            flex-wrap: wrap;
            .bouton{
                color: $fond;
            }
        }
    }

    // Vidéos les plus recherchés
    .plus-recherche{
        margin-bottom: 1rem;
        .item{
            width: 100%;
            border-radius: 8px 8px 0 0;
            img{
                width: 100%;
                height: auto;
                border-radius: 8px 8px 0 0;
            }
            .details{
                padding: 0.5rem 1.2rem;
                border-radius: 0 0 8px 8px;
                h3{
                    font-family: $texte;
                    font-size: 1.4rem;
                }
            }
        }
    }
}  




// ************** Accueil **************
.item {
    .icon-play-1{
        position: absolute;
        color: $blanc;
        font-size: 4rem;

    }
    .img{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    img{
        border-radius: 8px 8px 0 0;
        width: 100%;
    }
}
.image-en-avant{
    background-image: url('../img/image-accueil-fonce.jpg');
    background-size: cover;
    width: 100%;
    height: 50vh;
    background-repeat: no-repeat;
    width: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 2rem;
    h1{
        font-size: 1.4rem;
        text-align: center;
        color: $blanc;
    }
    .logo{
        width: 175px;
    } 
}

.content{
    border-radius: 8px;
    border-radius: 8px;
    margin-top: -10px;
    margin-bottom: 5rem;
    background-color: $fond;
    padding: 0 0 0 1rem;
    /*Slider Héros*/
    #heros{
        .items {
            position: relative;
            width: 100%;
            overflow-x: scroll;
            overflow-y: hidden;
            white-space: nowrap;
            transition: all 0.2s;
            transform: scale(0.98);
            will-change: transform;
            user-select: none;
            cursor: pointer;
        }
        .item {
            display: inline-block;
            margin: 0 1em 1em 0;
            border: 3px solid $blanc;
            border-radius: 100%;
            background-color: transparent!important;
            &.rose{
                border-color: $rose;
            }
            &.bleu{
                border-color: $bleu;
            }
            &.vert{
                border-color: $vert;
            }
        }
    }
    /*Slider reprendre*/
    #reprendre{
        .items {
            position: relative;
            width: 100%;
            overflow-x: scroll;
            overflow-y: hidden;
            white-space: nowrap;
            transition: all 0.2s;
            transform: scale(0.98);
            will-change: transform;
            user-select: none;
            cursor: pointer;
        }
        .item {
            display: inline-block;
            margin: 0 1em 1em 0;
            border-radius: 8px;
            width: 80%;
            background-color: $blanc;
            .icon-play-1{
                position: absolute;
                color: $blanc;
                font-size: 4rem;

            }
            .img{
                display: flex;
                justify-content: center;
                align-items: center;
            }
            img{
                border-radius: 8px 8px 0 0;
                width: 100%;
            }
            .details{
                padding: 0.5rem 1.2rem;
                border-radius: 0 0 8px 8px;
                h3{
                    font-family: $texte;
                    font-size: 1.3rem;
                    margin: 0;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    margin-bottom: 0.4rem;
                }
                .ages{
                    border-radius: 8px;
                    padding: 0.1rem 0.3rem;
                    font-size: 1rem;
                    font-family: $texte;
                    font-weight: bold;
                }
                h4{
                    font-family: $texte;
                    font-size: 1.3rem;
                    margin: 0;
                    display: flex;
                    justify-content: space-between;
                    .titre-episode{
                        font-weight: bold;
                    }
                    .episode{
                        font-weight: 500;
                    }
                    
                }
            }
        }
    }
    /*Slider nouveaute*/
    #nouveaute{
        .items {
            position: relative;
            width: 100%;
            overflow-x: scroll;
            overflow-y: hidden;
            white-space: nowrap;
            transition: all 0.2s;
            transform: scale(0.98);
            will-change: transform;
            user-select: none;
            cursor: pointer;
        }
        .item {
            display: inline-block;
            margin: 0 1em 1em 0;
            border-radius: 8px;
            width: 40%;
            background-color: $blanc;
            img{
                border-radius: 8px 8px 0 0;
                width: 100%;
            }
            .details{
                padding: 0.5rem 0.8rem;
                border-radius: 0 0 8px 8px;
                h3{
                    font-family: $texte;
                    font-size: 0.8rem;
                    margin: 0;
                    display: flex;
                    justify-content: space-between;
                    .titre-episode{
                        font-weight: 500;
                    }
                    .episode{
                        font-weight:lighter;
                    }
                    
                }
            }
        }
    }
    /* Recommandation */
    #recommandation{
        display: flex;
        justify-content: center;
        .item {
            display: inline-block;
            margin: 0 1em 1em 0;
            border-radius: 8px;
            height: 40%;
            background-color: $blanc;
            .details{
                padding: 0.5rem 0.8rem;
                border-radius: 0 0 8px 8px;
                h3{
                    font-family: $texte;
                    font-size: 1.2rem;
                    margin: 0;
                    display: flex;
                    justify-content: space-between;
                    margin-bottom: 0.4rem;
                    .titre-dessins-anime{
                        font-weight: 500;
                    }
                    .ages{
                        border-radius: 8px;
                        padding: 0.1rem 0.3rem;
                        font-size: 1rem;
                        font-family: $texte;
                        font-weight: bold;
                    }
                }
                h4{
                    font-family: $texte;
                    font-size: 1.2rem;
                    margin: 0;
                    display: flex;
                    justify-content: space-between;
                    .titre-episode{
                        font-weight: bold;
                    }
                    .episode{
                        font-weight:bold;
                    }
                    
                }
            }
        }
    }
    /* Mes Videos*/
    #mes-videos{
        .items {
            position: relative;
            width: 100%;
            overflow-x: scroll;
            overflow-y: hidden;
            white-space: nowrap;
            transition: all 0.2s;
            transform: scale(0.98);
            will-change: transform;
            user-select: none;
            cursor: pointer;
        }
        .item {
            display: inline-block;
            margin: 0 1em 1em 0;
            border-radius: 8px;
            width: 40%;
            background-color: $blanc;
            .details{
                padding: 0.5rem 0.8rem;
                border-radius: 0 0 8px 8px;
                h3{
                    font-family: $texte;
                    font-size: 0.8rem;
                    margin: 0;
                    display: flex;
                    justify-content: space-between;
                    .titre-episode{
                        font-weight: 500;
                    }
                    .episode{
                        font-weight:lighter;
                    }
                    
                }
            }
        }
    }
}

// ************** Vidéo - détail **************

.image-en-avant-video{
    background-image: url('../img/benten-en-avant.jpeg');
    background-size: cover;
    width: 100%;
    height: 50vh;
    background-repeat: no-repeat;
    width: auto;
    display: flex;
    flex-direction: column;
    justify-content: baseline;
    align-items: center;
    padding: 2rem;
    .icon-play-1{
        color: $blanc;
        font-size: 6rem;
        margin-top: 2rem;
    }
    .bandeau-haut{
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        .icon-fleche{
            color: $blanc;
            font-size: 2rem;
            background-color: $bleu;
            border-radius: 100%;
            &::before{
                transform: rotate(-90deg);
            }
        }
        .icon-loupe{
            color: $blanc;
            font-size: 2rem;
            background-color: $bleu;
            border-radius: 100%;
        }
    }

    h1{
        font-size: 1rem;
        padding: 2rem;
        text-align: center;
        color: $blanc;
    }
    .logo{
        width: 100px;
    }
    
}

// Contenu page
.content-detail{
    border-radius: 8px;
    border-radius: 8px;
    margin-top: -10px;
    margin-bottom: 5rem;
    background-color: $fond;

    // INFOS épisode en cours
    .titre-video{
        display: flex;
        color: $blanc;
        align-items: center;
        justify-content: space-around;
        margin-top: 1.5rem;
        margin-bottom: 0.7rem;

        // titre
        h1 {
            font-size: 2rem;
            margin: 0;
        }

        // bouton infos
        .icon-info-1 {
            color: white;
            font-size: 2rem;
        }
    }

    // contenu du dropdown info
    #drop-synopsis {

        .card {
            background-color: $fond;
            border: none;

            p{
                color: white;
            }
        }
    }

    // CTAs épisode actuel
    .cta-episode-actuel {
        display: flex;
        flex-wrap: wrap;
        margin-bottom: 1rem;

        // favoris
        .font-icone-favoris-actuel {
            width: 33%;
            display: flex;
            justify-content: center;
            align-items: center;
            border-right: solid $jaune 1px;
            height: 2.5rem;

            .icon-coeur {
                color: white;
                font-size: 1.7rem;
            }
        }

        // telecharger
        .font-icone-telecharger-actuel {
            width: 33%;
            display: flex;
            justify-content: center;
            align-items: center;
            border-right: solid $jaune 1px;

            .icon-telecharger {
                color: $blanc;
                font-size: 1.7rem;
            }
        }

        // partage 
        .font-icone-share-actuel {
            width: 33%;
            display: flex;
            justify-content: center;
            align-items: center;

            .icon-iconmonstr-share-2 {
                color: $blanc;
                font-size: 1.7rem;
            }
        }
    }

    // Choix saison + cta jeu 
    .bouton-action{
        display: flex;
        align-items: center;
        justify-content: space-around;

        // choix saison 
        .bouton {
            color: white;
            padding: 0.5rem 1.8rem;
            border: none;
            &:hover {
                background-color: $bleu!important;
            }
        }

        .show {
            .bouton {
                background-color: $bleu;

                &:hover {
                    background-color: $bleu!important;
                }
            }
        }

        // CTA jeu
        .cta-jeu {

            a {
                padding: 0.5rem 3rem;
            }
        }
    }
}

// Choix onglet
#autres-episodes {
    border-bottom: none;
    display: flex;
    justify-content: space-around;
    margin-top: 2rem;

    .nav-item {

        width: 45%;

        a.nav-link {
            color: white;
            background-color: unset;
            font-family: 'Lubalin bold';
            border: none;
            border-top: 0.25rem solid $fond;
            text-align: center;
        }
    
        a.nav-link.active {
            background-color: unset;
            border-top: 0.25rem solid $rose;
            margin-top: 0;
    
        }
    }   
}

// Contenu onglet épisode
#episodes, #recommandations {

    margin-top: 1rem;

    .items {

        // bloc vidéo
        .item {
            display: flex;
            flex-wrap: wrap;
            margin-bottom: 2rem;

            // miniature 
            .miniature-episodes {
                width: 40%;

                .miniatures-ben-ten {
                    object-fit: cover;
                    height: 100%;
                }
            }

            // détails vidéo
            .details {
                width: 60%;
                padding: 2px 10px 2px 10px;

                h3 {
                    font-size: 1rem;
                    color: white;
                    margin-bottom: 5px;

                }
                
                .episodes-lenght {
                    color: white;
                    font-size: 0.6rem;
                    margin-bottom: 3px;
                }

                .description-episodes {
                    color: white;
                    font-size: 0.8rem;
                    margin-bottom: 5px;
                }

                // CTA autres épisodes
                .cta-episodes {
                    display: flex;
                    flex-wrap: wrap;

                    // télécharger
                    .font-icone-telecharger-detail {
                        width: 50%;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        border-right: solid $jaune 1px;
                        height: 2.5rem;

                        .icon-telecharger {
                            color: white;
                            font-size: 1.7rem;
                        }
                    }

                    // favoris 
                    .font-icone-favoris-detail {
                        width: 50%;
                        display: flex;
                        justify-content: center;
                        align-items: center;

                        .icon-coeur {
                            color: white;
                            font-size: 1.7rem;
                        }
                    }
                }
            }
        }
    }
}

/*Controle parental*/
.content-parental{
    .title-parental{
        display: flex;
        align-items: center;
        justify-content: space-around;
        padding: 1rem 0.5rem;
    }
    h1{
        color: $blanc;
        font-size: 2rem;
        margin-bottom: 0;
    }
    .icon-fleche{
        color: $blanc;
        font-size: 2rem;
        &:before{
            transform: rotate(-90deg);
        }
    }
    h2{
        margin-left: 1rem;
    }
    ul{
        margin-left: 2rem;
        list-style: none;
        li{
            color: $blanc;
            padding: 0.2rem;
            &.gris{
                color: grey;
            }
        }
    }
}

.modal-content{
    background-color: $fond;
    .close{
        color: $blanc;
        text-shadow: none;
    }
}
.modal-dialog{
    margin-top: 8rem;
}
.modal-body{
    color: $blanc;
    .custom-control {
        position: relative;
        display: block;
        min-height: 2rem;
    }
}
.modal-header {
    border-bottom: none;
}
.modal-footer {
    justify-content: center;
    border-top:none;
}
.temps{
    display: flex;
    width: 100%;
    justify-content: space-between;
}

/*Fond flou*/
.fond-flou{
    filter: blur(0px);
}

.etoile{
    color:$bleu;
}

.tab-content{
    padding: 0 0.5rem;
}

